ExecutionEnvironment
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.environments
Class ExecutionEnvironment

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.environments.ExecutionEnvironment

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

    Constructor Summary

    ExecutionEnvironment()

    Method Summary

     java.util.HashMap<java.lang.String,java.lang.String>
    getConf()

    Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel

    fromXML, toXML

    Methods inherited from class java.lang.Object

    equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    ExecutionEnvironment

    public ExecutionEnvironment()

    Method Detail

    getName

    public java.lang.String getName()

    setName

    public void setName(java.lang.String name)

    getLogo

    public java.lang.String getLogo()

    setLogo

    public void setLogo(java.lang.String logo)

    getDescription

    public java.lang.String getDescription()

    setDescription

    public void setDescription(java.lang.String description)

    getDisclaimer

    public java.lang.String getDisclaimer()

    setDisclaimer

    public void setDisclaimer(java.lang.String disclaimer)

    getPolicies

    public java.lang.String getPolicies()

    setPolicies

    public void setPolicies(java.lang.String policies)

    getLogics

    public java.util.ArrayList<LogicType> getLogics()

    setLogics

    public void setLogics(java.util.ArrayList<LogicType> logics)

    getConf

    public java.util.HashMap<java.lang.String,java.lang.String> getConf()

    setConf

    public void setConf(java.util.HashMap<java.lang.String,java.lang.String> conf)

    setParameters

    public void setParameters(Parameters parameters)

    getParameters

    public Parameters getParameters()

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD